#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: csh.login,v 1.13 2008/04/02 07:43:36 fuji Exp $

if ( $?_HPX_SEEN_HEP_CSH_LOGIN ) then
	exit
endif
set _HPX_SEEN_HEP_CSH_LOGIN=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

hpx_source $HPX_HOME_HEP/csh.cshrc

### OBSOLETE ### if ( "x$HPX_TTY" == x ) then
### OBSOLETE ### 	exit
### OBSOLETE ### endif
### OBSOLETE ### setenv ENVIRONMENT LOGIN
### OBSOLETE ### hpx_debug "environment set to LOGIN"

if ( -f /etc/nologin && "x$HPX_ROOT" == x ) then
	hpx_echo "N: Sorry, system is under maintenance, no logins allowed."
	$HPXB_CAT /etc/nologin
	hpx_echo "N: Sleeping 5 seconds."
	$HPXB_SLEEP 5
	exit
endif

### OBSOLETE ### set HPX_TERM=""
### OBSOLETE ### if ( $?TERM ) then
### OBSOLETE ###         set HPX_TERM="$TERM"
### OBSOLETE ### endif

### OBSOLETE ### if ( "x$HPX_TERM" != "x" ) then
### OBSOLETE ### 	$HPXB_EXPR "$TERM" : "TERM=" >/dev/null && eval "$TERM"
### OBSOLETE ### 	if ( $status == 0 ) then
### OBSOLETE ### 		foreach pair ( $TERM )
### OBSOLETE ### 			eval setenv `echo $pair | $HPXB_TR '=' ' '`
### OBSOLETE ### 		end
### OBSOLETE ### 		unset pair
### OBSOLETE ### 		setenv TERM $TERM
### OBSOLETE ### 	endif
### OBSOLETE ### else
### OBSOLETE ### 	setenv TERM vt100
### OBSOLETE ### endif

### OBSOLETE ### switch ($TERM)
### OBSOLETE ### 	case network:
### OBSOLETE ### 	case dumb:
### OBSOLETE ### 	case unknown:
### OBSOLETE ### 	case arpanet:
### OBSOLETE ### 	case net:
### OBSOLETE ### 	case dialup:
### OBSOLETE ### 	case su:
### OBSOLETE ### 		setenv TERM vt100
### OBSOLETE ### 		breaksw
### OBSOLETE ### 	case ansi:
### OBSOLETE ### 	case ANSI:
### OBSOLETE ### 		setenv TERM xterm
### OBSOLETE ### 		breaksw
### OBSOLETE ### endsw

### OBSOLETE ### if ( "x$HPX_TERM" != x && $HPX_TERM != $TERM ) then
### OBSOLETE ### 	hpx_echo "TERM $HPX_TERM changed to $TERM."
### OBSOLETE ### endif

### OBSOLETE ### if ( -f $HOME/.Delete ) then
### OBSOLETE ### 	setenv RUBOUT Delete
### OBSOLETE ### 	$HPXB_STTY erase '^?' intr '^c' kill '^u'
### OBSOLETE ### else
### OBSOLETE ### 	setenv RUBOUT BackSpace
### OBSOLETE ### 	$HPXB_STTY erase '^h' intr '^c' kill '^u'
### OBSOLETE ### endif

### OBSOLETE ### $HPXB_STTY echoe -inlcr -istrip -parity
### OBSOLETE ### $HPXB_STTY -tostop susp '^z'

hpx_source $HPX_HOME_SITE/csh.login

# End of file.
